/* ============================================================================

Name: 요소가 보이는지 확인하기
Date: 2021-06-07
Author: apost
blog: blogpack.tistory.com
email: extflash@gmail.com

============================================================================ */

document.addEventListener('DOMContentLoaded', function(){
    
    //visible 프로토타입 메서드 정의
    HTMLElement.prototype.visible = function(){
        return this.offsetWidth > 0 && this.offsetHeight > 0;
    };
    let el = document.querySelector('.element');

    //jQuery로 체크
    console.log('----------------------- jQuery')
    console.log($(".element:visible").length>0);
    if($(".element:visible").length){
        console.log('보임');
    }
    
    //javascript로 체크
    console.log('----------------------- javascript')
    let el_prop = window.getComputedStyle(el);
    console.log(el_prop.display);
    console.log(el_prop.visibility);
    console.log(el_prop.opacity);
    console.log(el.visible());
    if(window.getComputedStyle(el).display === "none"){
        console.log('안보임');
    }

    el.style.visibility = "hidden";//영역을 차지하지만 보이지 않게 처리

    //클릭 이벤트 생성해서 요소 속성에 접근하는 코드
    el.addEventListener('click', function(){
        //visibility가 hidden이어서 이벤트가 발생하지 않음
        document.querySelector('.element').style.visibility = "visible";
        console.log("클릭.");//이벤트 발생하지 않음.
    });

});